For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList disbursements
      • POSTCreate a disbursement
      • POSTCreate multiple disbursements
      • GETGet a disbursement
      • POSTApprove a disbursement
      • POSTApprove multiple disbursements
      • POSTCancel a pending disbursement
      • POSTStop payment for a disbursement
      • POSTSandbox: Complete a disbursement
      • POSTSandbox: Fail a disbursement
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsDisbursements

Get a disbursement

GET
/v1/disbursements/:id
GET
/v1/disbursements/:id
$curl https://api.givechariot.com/v1/disbursements/disbursement_01jpjen1s23s29kkmnjsb6fzga \
> -H "Authorization: Bearer <token>"
1{
2 "id": "disbursement_01jpjen1s23s29kkmnjsb6fzga",
3 "organization_id": "org_01jpjenf5q6cawy43yxfcrxhct",
4 "program_id": "program_01jpjenf5q6cawy43yxfcrxhct",
5 "amount": 10000,
6 "organization": {
7 "id": "org_01j8rs605a4gctmbm58d87mvsj",
8 "ein": "123456789",
9 "name": "American Red Cross",
10 "parent_organization_id": "org_01j8rs605a4gctmbm58d87mvsk",
11 "physical_address": {
12 "city": "New York",
13 "country": "US",
14 "line1": "123 Main St.",
15 "postal_code": "12345",
16 "state": "NY",
17 "line2": "string"
18 },
19 "classification": {
20 "group_exemption_number": "string",
21 "subsection_code": {
22 "code": 1,
23 "name": "UNCONDITIONAL",
24 "description": "Unconditional Exemption"
25 },
26 "filing_requirement_code": {
27 "code": 1,
28 "name": "UNCONDITIONAL",
29 "description": "Unconditional Exemption"
30 },
31 "foundation_code": {
32 "code": 1,
33 "name": "UNCONDITIONAL",
34 "description": "Unconditional Exemption"
35 },
36 "affiliation_code": {
37 "code": 1,
38 "name": "UNCONDITIONAL",
39 "description": "Unconditional Exemption"
40 },
41 "organization_code": {
42 "code": 1,
43 "name": "UNCONDITIONAL",
44 "description": "Unconditional Exemption"
45 },
46 "exempt_status_code": {
47 "code": 1,
48 "name": "UNCONDITIONAL",
49 "description": "Unconditional Exemption"
50 },
51 "deductibility_code": {
52 "code": 1,
53 "name": "UNCONDITIONAL",
54 "description": "Unconditional Exemption"
55 },
56 "ntee_code": {
57 "code": "A",
58 "description": "Animal Welfare",
59 "parent_code": "A",
60 "parent_description": "Animal Welfare"
61 },
62 "naics_code": {
63 "naics2": "31",
64 "naics2_description": "Manufacturing",
65 "naics4": "3112",
66 "naics4_description": "Grain and Oilseed Milling",
67 "naics6": "311221",
68 "naics6_description": "Wet Corn Milling and Starch Manufacturing"
69 }
70 },
71 "compliance": {
72 "daf_eligible": true,
73 "irs_pub_78": {
74 "compliant": true,
75 "reason": "string",
76 "last_found_at": "2020-01-31T23:00:00Z"
77 },
78 "ofac": {
79 "compliant": true,
80 "reason": "string",
81 "last_found_at": "2020-01-31T23:00:00Z"
82 },
83 "foundation_code": {
84 "compliant": true,
85 "reason": "string",
86 "last_found_at": "2020-01-31T23:00:00Z"
87 },
88 "california_attorney_general_registry": {
89 "compliant": true,
90 "reason": "string",
91 "last_found_at": "2020-01-31T23:00:00Z"
92 },
93 "california_franchise_tax_board": {
94 "compliant": true,
95 "reason": "string",
96 "last_found_at": "2020-01-31T23:00:00Z"
97 }
98 },
99 "mission_statement": "To provide relief to those in need",
100 "web": {
101 "domain": "redcross.org"
102 },
103 "brand": {
104 "icon_url": "string",
105 "logo_url": "string"
106 },
107 "officers": [
108 {
109 "name": "string",
110 "title": "Executive Director"
111 }
112 ],
113 "claimed": true,
114 "incorporation": {
115 "formation_year": "2005",
116 "state": "AZ",
117 "ruling_date": "2020-07"
118 }
119 },
120 "description": "Annual grant to Acme Inc.",
121 "auto_fund": false,
122 "created_at": "2020-01-31T23:00:00Z",
123 "updated_at": "2020-01-31T23:00:00Z",
124 "status": "pending_approval",
125 "cancelation": {
126 "canceled_by": "user@example.com",
127 "canceled_at": "2020-01-31T23:00:00Z"
128 },
129 "approval": {
130 "approved_by": "user@example.com",
131 "approved_at": "2020-01-31T23:00:00Z"
132 },
133 "rejection": {
134 "reason": "insufficient_funds",
135 "rejected_at": "2020-01-31T23:00:00Z"
136 },
137 "verification": {
138 "verified_at": "2020-01-31T23:00:00Z"
139 },
140 "stop": {
141 "stopped_by": "user@example.com",
142 "stopped_at": "2020-01-31T23:00:00Z"
143 },
144 "program_details": {
145 "id": "program_01jpjenf5q6cawy43yxfcrxhct",
146 "name": "Annual Grants"
147 },
148 "transfers": [
149 {
150 "account_transfer": {
151 "transfer_id": "account_transfer_01j8rs605a4gctmbm58d87mvsj",
152 "amount": 10000,
153 "status": "complete",
154 "created_at": "2020-01-31T23:00:00Z",
155 "updated_at": "2020-01-31T23:00:00Z"
156 },
157 "ach_transfer": {
158 "transfer_id": "ach_transfer_01j8rs605a4gctmbm58d87mvsj",
159 "amount": 10000,
160 "status": "initiated",
161 "created_at": "2020-01-31T23:00:00Z",
162 "direction": "credit",
163 "standard_entry_class_code": "corporate_credit_or_debit",
164 "company_entry_description": "Disbursement to nonprofit",
165 "trace_number": "012345678901234",
166 "effective_date": "2020-01-31T23:00:00Z",
167 "submitted_at": "2020-01-31T23:00:00Z",
168 "settled_at": "2020-07-12 15:00:00.000",
169 "rejected_at": "2020-07-12 15:00:00.000",
170 "returned_at": "2020-07-12 15:00:00.000",
171 "updated_at": "2020-01-31T23:00:00Z"
172 },
173 "check_transfer": {
174 "transfer_id": "check_transfer_01j8rs605a4gctmbm58d87mvsj",
175 "amount": 10000,
176 "status": "issued",
177 "memo": "Disbursement to nonprofit",
178 "recipient_name": "Charity Good",
179 "mailing_address": {
180 "city": "New York",
181 "country": "US",
182 "line1": "123 Main St.",
183 "postal_code": "12345",
184 "state": "NY",
185 "line2": "Suite 2504"
186 },
187 "created_at": "2020-01-31T23:00:00Z",
188 "note": "Please deposit promptly",
189 "check_number": "123456789",
190 "bank_of_first_deposit_routing_number": "021000089",
191 "postal_tracking_updates": [
192 {
193 "id": 1,
194 "event_type": "in_transit",
195 "created_at": "2020-01-31T23:00:00Z"
196 }
197 ],
198 "submitted_at": "2020-01-31T23:00:00Z",
199 "canceled_at": "2020-01-31T23:00:00Z",
200 "stopped_at": "2020-01-31T23:00:00Z",
201 "deposited_at": "2020-01-31T23:00:00Z",
202 "updated_at": "2020-01-31T23:00:00Z"
203 },
204 "real_time_payments_transfer": {
205 "transfer_id": "real_time_payments_transfer_01j8rs605a4gctmbm58d87mvsj",
206 "amount": 10000,
207 "status": "complete",
208 "creditor_name": "Acme Inc.",
209 "remittance_information": "Real-Time Payment: Acme Inc.",
210 "created_at": "2020-01-31T23:00:00Z",
211 "updated_at": "2020-01-31T23:00:00Z",
212 "transaction_identification": "20260101101050001T1BTEST01234557890",
213 "submitted_at": "2020-01-31T23:00:00Z",
214 "acknowledged_at": "2020-01-31T23:00:05Z",
215 "rejected_at": "2020-01-31T23:00:05Z"
216 }
217 }
218 ],
219 "transactions": [
220 {
221 "amount": 10000,
222 "net_amount": 9500,
223 "type": "donor_advised_fund_grant",
224 "id": "txn_1LaXpKGUcADgqoEMl0Cx0Ygg",
225 "fee_amount": 500,
226 "description": "Disbursement to nonprofit",
227 "donor_advised_fund_grant": {
228 "grant_id": "grant_1234567890",
229 "organization_name": "Vanguard Charitable",
230 "fund_name": "John Doe Fund",
231 "purpose": "General Operating Support",
232 "note": "This grant is for the general operating support of the organization.",
233 "donors": [
234 {
235 "full_name": "John Doe",
236 "first_name": "John",
237 "last_name": "Doe",
238 "email": "bob@me.com",
239 "phone": "415-555-1212",
240 "address": {
241 "city": "New York",
242 "country": "US",
243 "line1": "123 Main St.",
244 "postal_code": "12345",
245 "state": "NY",
246 "line2": "string"
247 }
248 }
249 ]
250 },
251 "created_at": "2020-01-31T23:00:00Z",
252 "updated_at": "2020-01-31T23:00:00Z",
253 "metadata": {}
254 }
255 ]
256}
Get a disbursement by its unique identifier.
Was this page helpful?
Previous

Approve a disbursement

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the disbursement

Response

The disbursement was retrieved
idstringRead-only
The unique identifier for the disbursement
organization_idstring
The unique identifier for the organization that will receive the payment
program_idstring
The unique identifier for the program that the disbursement belongs to
amountlong
The payment amount in USD cents. Must be a positive amount.
organizationobject

An Organization represents an operating nonprofit or an operating sub-organization of a parent or sponsoring nonprofit. The generally accepted identifier for an organization is its domain. This domain provides proof of identity, ownership and relationship to an entity. Organizations can receive payments from payers on the network.

descriptionstring
A description for the disbursement
auto_fundbooleanRead-only

Whether just-in-time (JIT) funding is enabled for this disbursement. When true, Chariot automatically creates an inbound transfer for the disbursement amount when it is approved.

created_atstringRead-onlyformat: "date-time"
The date and time the disbursement was created
updated_atstringRead-onlyformat: "date-time"
The date and time the disbursement was last updated
statusenum

The lifecycle status of the disbursement. Possible values include:

  • pending_approval: The disbursement is awaiting approval from the grantmaker
  • canceled: The disbursement was canceled by the grantmaker
  • awaiting_verification: The disbursement is awaiting verification from Chariot
  • rejected: The disbursement was rejected by Chariot before being submitted
  • validating_organization: Validating recipient organization’s payment and contact information before submission.
  • awaiting_account_claim: The disbursement is awaiting account claim by the nonprofit or check delay expiration
  • awaiting_balance: The disbursement is awaiting sufficient grantmaker balance
  • submitted: The disbursement payment has been submitted to the payment network and is being processed
  • stopped: The disbursement payment was stopped after it was submitted
  • completed: The disbursement payment has been completed and funds have been received by the receiving organization
  • failed: The disbursement payment failed or the receiving organization did not receive the payment

To see a description of each status, see the “Disbursement Lifecycle” section of the Chariot documentation.

cancelationobject
If your account requires approvals for disbursements and the disbursement was not approved, this will contain the details of the cancelation.
approvalobject
If your account requires approvals for disbursements and the disbursement was approved, this will contain the details of the approval.
rejectionobject
If the disbursement was rejected by Chariot, this will contain details as to why the disbursement was rejected.
verificationobject
If the disbursement has been verified by Chariot, this will contain the verification details.
stopobject
If the disbursement was stopped by the grantmaker after it was submitted, this will contain the details of the stop.
program_detailsobject
Details about the program that the disbursement belongs to.
transferslist of objects
The list of transfers for the disbursement. This can have multiple items if the disbursement's underlying payment was retried multiple times. For example, if a check was returned or stopped and the disbursement was retried as an ACH transfer. If the disbursement was not retried, this will have a single item.
transactionslist of objects
The list of transactions for the disbursement

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error